package actordemo

import java.awt.Color
import java.awt.Graphics2D
import java.awt.geom.Rectangle2D

import scala.actors.Actor
import scala.swing.Component

class GuiComponent extends Component with Actor {

  private val box = new Rectangle2D.Float(0, 0, 100, 100)

  override def paint(g: Graphics2D) {
    super.paint(g)
    g.setColor(Color.GREEN)
    g.fill(box)
  }

  def act() {
    while (true) {
      receive { //TODO: is it a good design to have the gui directly reacting to keyboard events?
        case 'Down => println("moving box"); box.y = box.y + 10
      }
      repaint
    }
  }

}