package actordemo

import java.awt.Dimension

import scala.swing.MainFrame
import scala.swing.SimpleSwingApplication
import scala.swing.event.Key
import scala.swing.event.KeyPressed

object GuiDemo extends SimpleSwingApplication {

  val gui = new GuiComponent
  gui.start

  def top = new MainFrame {
    title = "GuiDemo"
    contents = gui
    size = new Dimension(400, 400)
    centerOnScreen
  }

  gui.focusable = true
  listenTo(gui.keys)

  reactions += {
    case KeyPressed(_, Key.Down, _, _) => println("down"); gui ! 'Down
  }

}